/********************************************************************************
|  CLASS:         XC8 - Getting Started with MPLAB XC8 for PIC18F4520 + APP001 EVM Board
|  PROGRAM:       Lab1.c, PIC18F_LD_APP001.c
|  AUTHOR:        Richard Yang
|  DATE:          30 APR 2013
|  DESCRIPTION:   First MPLAB XC8 project to test whether everything is working
|  REQUIREMENTS:                 
| 
|  REVISION HISTORY:
|  30 APR 2013    v1.0
 ********************************************************************************/

#include <xc.h>
#include "P18F_LCD.h"

#pragma config OSC=INTIO7, WDT=OFF, BOREN = ON, BORV = 1, LVP=OFF, PBADEN=OFF, XINST = OFF, MCLRE = ON

#define	LED1	LATDbits.LATD0

void SW_Delay(void)
{
    unsigned Delay_X;
    for (Delay_X = 0; Delay_X < 20000; Delay_X++)
    {
        Nop();
    }
}

void main(void)
{
    OSCCONbits.IRCF = 0x07; // ToDo : 可以調整 IRCF 位元來設定工作頻率
    // Select INTOSC-8Mhz as clock source
    // 此位元結構成員名稱是用於 C18 v3.37 (含)版本以後
    Nop(); // 如使用 v.3.36 以前版本請參考 p18f4520.h 檔裡的名稱定義
    OpenLCD();

    //Type casting required because library is built with large code model but
    //MPLAB defaults to small code model
    putrsLCD((const far char*) "Welcome to X IDE");

    LATD = 0x00; // Turn Off all LEDs

    while (1)
    {
        SW_Delay();
        LED1 = !LED1;
    }
}
